import 'dart:io';

import "package:flutter/material.dart";
import "package:graphql_flutter/graphql_flutter.dart";
import 'package:http/io_client.dart';

class GraphQLConfiguration {
  //static String uri = 'http://10.0.2.2:4300/graphql';
  static String uri = '';

  static late HttpClient hclient;
  static late HttpLink httpLink;
  late ValueNotifier<GraphQLClient> client;
  GraphQLConfiguration();
  GraphQLConfiguration.config(String serviceUri) {
    uri = serviceUri + 'graphql';
    hclient = HttpClient()..connectionTimeout = Duration(seconds: 120);
    httpLink = HttpLink(
      uri,
      defaultHeaders: {
        'client-id': "8f244cce-c87d-36d5-bcc9-1924ee0bca6a",
        'bussiness-type': '1'
      },
      httpClient: IOClient(hclient),
    );
  }

  Future<void> initiateGraphQl() async {
    await initHiveForFlutter();
    client = ValueNotifier(
      GraphQLClient(link: httpLink, cache: GraphQLCache(store: HiveStore())),
    );
  }

  GraphQLClient clientToQuery() {
    return GraphQLClient(
      cache: GraphQLCache(store: HiveStore()),
      link: httpLink,
    );
  }
}
